#include "stdafx.h"
#include <iostream>

using namespace std;

class A
{
public:
	A()
	{
		m_nA = 0x10;
		cout << "A::A()" << endl;
	}
	~A()
	{
		cout << "A::~A()" << endl;
	}

private:
	int m_nA;
};


class B
{
public:
	B()
	{
		m_nB = 0x20;
		cout << "B::B()" << endl;
	}
	~B()
	{
		cout << "B::~B()" << endl;
	}

private:
	int m_nB;
};


class CTest
{
public:
	CTest()
	{
		m_nC = 0x30;
		cout << "CTest::CTest()" << endl;
	}
	~CTest()
	{
		cout << "CTest::~CTest()" << endl;
	}

private:
	A a;
	B b;
	int m_nC;
};



int main(int argc, char *argv[], char **envp)
{
	CTest t;
	cout << "sizeof(A) = " << sizeof(A) << endl;
	cout << "sizeof(B) = " << sizeof(B) << endl;
	cout << "sizeof(t) = " << sizeof(t) << endl;

	return 0;
}

